Bug 1413513 - glusterfind: After glusterfind pre command execution all temporary files and directories /usr/var/lib/misc/glusterfsd/glusterfind/<session>/<volume>/ should be removed
Summary: glusterfind: After glusterfind pre command execution all temporary files and...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterfind
Version: rhgs-3.2
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
: RHGS 3.2.0
Assignee: Milind Changire
QA Contact: Anil Shah
URL:
Whiteboard:
Depends On: 1413526
Blocks: 1351528
TreeView+ depends on / blocked
 
Reported: 2017-01-16 09:19 UTC by Anil Shah
Modified: 2017-03-23 06:03 UTC (History)
5 users (show)

Fixed In Version: glusterfs-3.8.4-14
Doc Type: If docs needed, set a value
Doc Text:
undefined
Clone Of:
: 1413526 (view as bug list)
Environment:
Last Closed: 2017-03-23 06:03:29 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Description Anil Shah 2017-01-16 09:19:53 UTC
Description of problem:

After a glusterfind pre query command execution all temporary files and
directories under /usr/var/lib/misc/glusterfsd/glusterfind/<session>/<volume>/
should be removed. 

It will end-up eating file system.

Version-Release number of selected component (if applicable):

glusterfs-3.8.4-11.el7rhgs.x86_64


How reproducible:

100%


Steps to Reproduce:
1. Create 2*2 distribute replicate volume
2. Do fuse mount and create some files and directories
3. create glusterfind session
4. do some file operation on mount point like create create file, remove files
5. run glusterfind pre command 

Actual results:

temporary files and directories under /usr/var/lib/misc/glusterfsd/glusterfind/<session>/<volume>/ are removed after glusterfind pre command

Expected results:


glusterfind should delete temporary files and directories under /usr/var/lib/misc/glusterfsd/glusterfind/<session>/<volume>/


Additional info:

Comment 2 Atin Mukherjee 2017-01-16 10:58:11 UTC
upstream patch : http://review.gluster.org/16416

Comment 3 Atin Mukherjee 2017-01-30 06:46:46 UTC
downstream patch : https://code.engineering.redhat.com/gerrit/#/c/96371/

Comment 5 Anil Shah 2017-02-07 09:49:44 UTC
After pre/query command temporary files and directories are deleted from location /usr/var/lib/misc/glusterfsd/glusterfind/<session>/<volume>/
=============================================================


[root@rhs-client47 repvol]# glusterfind pre session_repvol  repvol /tmp/outputfile1
Generated output file /tmp/outputfile1
[root@rhs-client47 repvol]# less /tmp/outputfile1 

[root@rhs-client47 repvol]# cd  /usr/var/lib/misc/glusterfsd/glusterfind/
[root@rhs-client47 glusterfind]# ll
total 0
drwxr-xr-x. 4 root root 30 Jan 30 19:40 session_1
drwxr-xr-x. 3 root root 20 Feb  7 14:35 session_repvol
[root@rhs-client47 glusterfind]# cd session_repvol/
[root@rhs-client47 session_repvol]# ll
total 0
drwxr-xr-x. 2 root root 6 Feb  7 14:35 repvol
[root@rhs-client47 session_repvol]# cd repvol/
[root@rhs-client47 repvol]# ll
total 0
==============================================================

[root@rhs-client47 repvol]# glusterfind query repvol /tmp/text  --full
less /tmp/textGenerated output file /tmp/text
[root@rhs-client47 repvol]# less /tmp/text
[root@rhs-client47 repvol]# ll
total 0
[root@rhs-client47 repvol]# pwd
/usr/var/lib/misc/glusterfsd/glusterfind/session_repvol/repvol
[root@rhs-client47 repvol]# ll
total 0


Bug verified on build glusterfs-3.8.4-14.el7rhgs.x86_64

Comment 7 errata-xmlrpc 2017-03-23 06:03:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.